NetworkPermission (Java SE 21 & JDK 21)
Description: declaration: module: jdk.net, package: jdk.net, class: NetworkPermission
Keywords: jdk.net.NetworkPermission class

Module jdk.net
Package jdk.net

# Class NetworkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
jdk.net.NetworkPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class NetworkPermission extends BasicPermission
Represents permission to access the extended networking capabilities defined in the jdk.net package. These permissions contain a target name, but no actions list. Callers either possess the permission or not.

Since:
  1.8
See Also:
  - `ExtendedSocketOptions`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkPermission(String name)`
  Creates a NetworkPermission with the given target name.
  `NetworkPermission(String name, String actions)`
  Creates a NetworkPermission with the given target name.

- ## Method Summary

  ### Methods declared in class java.security.BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class java.security.Permission

  `checkGuard, getName, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NetworkPermission

    public NetworkPermission(String name)
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.

  - ### NetworkPermission

    public NetworkPermission(String name, String actions)
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
      `actions` - should be `null`. Is ignored if not.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.